# fc.fc_host.create

Creates FC host (pairing).

This will associate an alias with a corresponding Fibre Channel WWPN. For HA sytems the alias will be associated with a pair of WWPNs, one per node.

alias is a user-readable name for FC host (pairing).

wwpn is the WWPN in naa format (Controller A if HA)

wwpn_b is the WWPN in naa format (Controller B, only applicable for HA)

npiv is the number of NPIV hosts to create for this FC host.

Type: object

##

Type: array
No Additional Items

#### Tuple Validation

##### Parameter 1: fc_host_create

#### fc_host_create

Type: object

Fibre Channel host configuration data for the new host.

No Additional Properties

##

#### Alias

Type: string

Human-readable alias for the Fibre Channel host.

Must match regular expression: `^[a-zA-Z0-9,\-_:]+$`

Must be at least `1` characters long

Must be at most `32` characters long

##

#### Wwpn

Default: null

World Wide Port Name for port A or `null` if not configured.

## Any of

Type: string
Must match regular expression: `^naa.[0-9a-fA-F]{16}$`
Type: null

##

#### Wwpn B

Default: null

World Wide Port Name for port B or `null` if not configured.

## Any of

Type: string
Must match regular expression: `^naa.[0-9a-fA-F]{16}$`
Type: null

##

#### Npiv

Type: integer Default: 0

Number of N_Port ID Virtualization (NPIV) virtual ports to create.

##

#### FCHostEntry

Type: object

The created Fibre Channel host configuration.

No Additional Properties

##

#### Id

Type: integer

Unique identifier for the Fibre Channel host configuration.

##

#### Alias

Type: string

Human-readable alias for the Fibre Channel host.

Must match regular expression: `^[a-zA-Z0-9,\-_:]+$`

Must be at least `1` characters long

Must be at most `32` characters long

##

#### Wwpn

Default: null

World Wide Port Name for port A or `null` if not configured.

## Any of

Type: string
Must match regular expression: `^naa.[0-9a-fA-F]{16}$`
Type: null

##

#### Wwpn B

Default: null

World Wide Port Name for port B or `null` if not configured.

## Any of

Type: string
Must match regular expression: `^naa.[0-9a-fA-F]{16}$`
Type: null

##

#### Npiv

Type: integer Default: 0

Number of N_Port ID Virtualization (NPIV) virtual ports to create.

Required roles: SHARING_ISCSI_TARGET_WRITE